-- 基础信息
base_info = {
	group_id = 247004007
}

-- DEFS_MISCS
local GroupId = 247004007
local point_id_list = {}
local MainGroupID = 247004001
local RegionID = 7001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 7001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = -79.999, y = 0.050, z = 160.018 } }
}

-- 触发器
triggers = {
	{ config_id = 1007001, name = "ENTER_REGION_7001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 7002, pos = { x = -83.933, y = 0.107, z = 167.685 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 7003, pos = { x = -75.849, y = 0.105, z = 167.631 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 7004, pos = { x = -79.954, y = 0.101, z = 168.576 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 7005, pos = { x = -87.110, y = 0.121, z = 166.470 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 7006, pos = { x = -72.890, y = 0.115, z = 166.029 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 7007, pos = { x = -88.330, y = 0.105, z = 163.748 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 7008, pos = { x = -71.222, y = 0.110, z = 163.764 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 7009, pos = { x = -88.581, y = 0.100, z = 160.042 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 7010, pos = { x = -71.121, y = 0.108, z = 160.058 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 7011, pos = { x = -79.919, y = 0.115, z = 168.115 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 7012, pos = { x = -85.705, y = 0.126, z = 167.183 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 7013, pos = { x = -74.228, y = 0.100, z = 167.149 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 7014, pos = { x = -88.648, y = 0.108, z = 162.504 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 7015, pos = { x = -71.098, y = 0.106, z = 162.509 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 7016, pos = { x = -88.634, y = 0.102, z = 157.619 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 7017, pos = { x = -71.192, y = 0.101, z = 157.674 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 7018, pos = { x = -85.656, y = 0.100, z = 152.952 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 7019, pos = { x = -74.299, y = 0.100, z = 152.867 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 7020, pos = { x = -80.017, y = 0.100, z = 152.072 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 7021, pos = { x = -87.133, y = 0.142, z = 167.199 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 7022, pos = { x = -72.853, y = 0.117, z = 167.202 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 7023, pos = { x = -87.131, y = 0.100, z = 152.848 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 7024, pos = { x = -72.930, y = 0.100, z = 152.926 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 7025, pos = { x = -79.828, y = 0.117, z = 167.448 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 7026, pos = { x = -80.026, y = 0.100, z = 152.691 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 7027, pos = { x = -88.108, y = 0.101, z = 160.021 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 7028, pos = { x = -71.732, y = 0.104, z = 159.986 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 7029, pos = { x = -88.003, y = 0.102, z = 155.957 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 7030, pos = { x = -72.035, y = 0.109, z = 163.396 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 7031, pos = { x = -76.596, y = 0.100, z = 152.373 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 7032, pos = { x = -83.848, y = 0.126, z = 167.295 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 7001 },
		triggers = { "ENTER_REGION_7001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
